Project

General

Profile

Bug #993

CouchPotato App not updated to the latest version

Added by Spokehedz almost 9 years ago. Updated over 7 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Category:
Apps
Target version:
-
Start date:
12/10/2012
Due date:
% Done:

0%


Description

Update needs to be applied because the current App fails to get any data because the format of the requests have changed from the 1.x to the 2.x version.

History

#1 Updated by cpg almost 9 years ago

looks like it's time to put this app in beta or even alpha until we have a chance to update it. i will do that.

#2 Updated by bigfoot65 almost 9 years ago

We have an updated version that was being tested. Not sure if it's ready, but installed fine for me.

#3 Updated by cpg almost 9 years ago

awesome. can you add him to that one for him to test, if he wants to?

#4 Updated by Spokehedz almost 9 years ago

I would be willing to test. I don't have anything that can't be backed up other places on my server.

#5 Updated by Spokehedz almost 9 years ago

Attempting to install now, and appears to hang at preparing to install...

#6 Updated by bigfoot65 almost 9 years ago

I have been unable to duplicate the problem. Both versions install fine for me.

#7 Updated by bigfoot65 almost 9 years ago

  • Status changed from New to Feedback

We have updated the app to the latest version. It does require some configuration now, but we can try to automate that in the future. If you can document what needs to be updated to make it config free, please share it here.

If it is working, we will close this bug.

#8 Updated by bigfoot65 almost 9 years ago

  • Status changed from Feedback to Closed

No feedback indicates this is resolved. Closing bug.

#9 Updated by achmetinternet about 8 years ago

  • Status changed from Closed to Assigned

I just installed your one-click-app and it says under Updater "source, desktop". In my recent install on Amahi6 I had this set to "git, develop". This was way more convenient as it got the updates as they were happening. How is this supposed to be updated with the current updater?

#10 Updated by achmetinternet almost 8 years ago

I have the following error appearing in the logs when I am trying to update:

10-25 12:34:15 ERROR [ couchpotato.api] Failed doing api request "updater.check": Traceback (most recent call last):
File "/var/hda/web-apps/couchpotato/html/couchpotato/api.py", line 101, in run_handler result = api[route](**kwargs)
File "/var/hda/web-apps/couchpotato/html/couchpotato/core/_base/updater/main.py", line 101, in checkView 'update_available': self.check(force = True),
File "/var/hda/web-apps/couchpotato/html/couchpotato/core/_base/updater/main.py", line 86, in check if self.updater.check():
File "/var/hda/web-apps/couchpotato/html/couchpotato/core/_base/updater/main.py", line 227, in check self.repo.fetch()
File "/var/hda/web-apps/couchpotato/html/libs/git/repository.py", line 383, in fetch self._executeGitCommandAssertSuccess(command)
File "/var/hda/web-apps/couchpotato/html/libs/git/repository.py", line 85, in _executeGitCommandAssertSuccess raise GitCommandFailedException(kwargs.get('cwd', self._getWorkingDirectory()), command, returned)
File "/var/hda/web-apps/couchpotato/html/libs/git/exceptions.py", line 51, in init self.stderr, self.stdout)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 34: ordinal not in range(128)

Hope this helps. I also wrote on https://couchpota.to/forum/viewtopic.php?f=5&t=1671&p=12406#p12406

#11 Updated by bigfoot65 over 7 years ago

  • Status changed from Assigned to Closed

Corrected for Amahi 7. All other Amahi OS will not be updated.

Also available in: Atom